Get an order
curl --request GET \
--url https://connect.laces.run/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.laces.run/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://connect.laces.run/v1/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connect.laces.run/v1/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"message": "Order retrieved successfully",
"data": {
"id": "Hk2mQ8vR",
"order_code": "LC-7K2M9X",
"event_id": "q3Zk9mVx",
"status": "paid",
"currency": "UGX",
"subtotal": 50000,
"discount_total": 0,
"donation_total": 0,
"laces_fee": 2400,
"total": 52400,
"failure_kind": null,
"ticket_count": 1,
"buyer": {
"name": "Amina Nakato",
"email": "amina@example.com",
"phone": "+256763494235"
},
"attribution": {
"channel": "partner_api",
"api_client_id": "LCSCLI-EXAMPLECLNT2345EXAMP",
"checkout_session_id": null,
"partner_reference": "cart-8841"
},
"hold_expires_at": null,
"created_at": "2026-10-09T08:14:03.000Z",
"registrations": [
{
"id": "rg_5TfK2",
"ticket_type_id": "tt_10k",
"distance_km": 10,
"ticket_label": "#AN1",
"participant_name": "Amina Nakato",
"status": "confirmed"
}
]
}
}Orders
Get an order
One order with its registrations. Returns personal data.
GET
/
orders
/
{orderId}
Get an order
curl --request GET \
--url https://connect.laces.run/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.laces.run/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://connect.laces.run/v1/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connect.laces.run/v1/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"message": "Order retrieved successfully",
"data": {
"id": "Hk2mQ8vR",
"order_code": "LC-7K2M9X",
"event_id": "q3Zk9mVx",
"status": "paid",
"currency": "UGX",
"subtotal": 50000,
"discount_total": 0,
"donation_total": 0,
"laces_fee": 2400,
"total": 52400,
"failure_kind": null,
"ticket_count": 1,
"buyer": {
"name": "Amina Nakato",
"email": "amina@example.com",
"phone": "+256763494235"
},
"attribution": {
"channel": "partner_api",
"api_client_id": "LCSCLI-EXAMPLECLNT2345EXAMP",
"checkout_session_id": null,
"partner_reference": "cart-8841"
},
"hold_expires_at": null,
"created_at": "2026-10-09T08:14:03.000Z",
"registrations": [
{
"id": "rg_5TfK2",
"ticket_type_id": "tt_10k",
"distance_km": 10,
"ticket_label": "#AN1",
"participant_name": "Amina Nakato",
"status": "confirmed"
}
]
}
}Authorizations
bearerAuthoauth2
A token from POST /oauth/token, valid 1 hour. Paste it as LCSTOK-…-X (without the word Bearer).